1. CrackBerry Question's Avatar
    Does anyone know? I have a 2 yr old classic
    03-21-17 09:39 AM
  2. mainely_linux's Avatar
    Youll have to use the android APK. I just tested it out on my passport and it installs and seems to work fine. There may be limitations with some features. Here is the link to the APK: http://www.blackberryapk.net/downloa...messenger7.apk
    03-21-17 09:51 AM

Similar Threads

  1. Blackberry Bold 9900
    By SathBerry in forum BlackBerry Bold 9930/9900
    Replies: 9
    Last Post: 04-04-17, 04:38 PM
LINK TO POST COPIED TO CLIPBOARD